<div class="card bg-light h-auto">
    <div class="card-header">
        {{ 'deal_list.title'|trans|raw }}
    </div>
    <ul class="list-group list-group-flush">
        {% for deal in dealsOfTheDay %}
            {% set rating = deal.rating %}
            {% set deal = deal.0 %}

            <li class="list-group-item bg-light">
                <div class="d-flex">
                    <img src="{{ vich_uploader_asset(deal)|default(asset("build/images/no-image.png")) }}" alt="{{ deal.title }}" class="deal-img w-25 h-auto me-2">
                    <div class="w-75">
                        <p class="text-danger mb-0 fw-bold">{{ 'deal.rating'|trans({'%value%': rating})|raw }}</p>
                        <a href="{{ url('app_show_deal', {'slug': deal.slug}) }}" class="deal-list__link">{{ deal.title }}</a>

                        <div class="d-flex justify-content-around">
                            {% if deal.price is defined and deal.price is not null %}
                                <span class="deal__price mb-2">{{ deal.price|default(0.1)|format_currency('EUR') }}</span>
                            {% endif %}
                            {% if deal.reduction is defined and deal.reduction is not null %}
                                <span class="deal__reduction mb-2">{{ 'deal.reduction'|trans({type: deal.type, value: deal.reduction|format_number({fraction_digit: 2})})|raw }}</span>
                            {% endif %}
                            {% if deal.usualPrice is defined and deal.usualPrice is not null %}
                                <span class="deal__usual-price mb-2">{{ deal.usualPrice|default(0.1)|format_currency('EUR') }}</span>
                            {% endif %}
                        </div>


                        {% if deal.deliveryCosts is defined %}
                            {% if deal.deliveryCosts > 0 %}
                                <div class="text-center mb-2 fw-bold text-info"><span class="bi bi-truck me-2"></span>{{ 'deal.delivery'|trans({'%value%': deal.deliveryCosts})|raw }}</div>
                            {% else %}
                                <div class="text-center mb-2 fw-bold text-danger"><span class="bi bi-truck me-2"></span>{{ 'deal.free_delivery'|trans|raw }}</div>
                            {% endif %}
                        {% endif %}

                        {% if deal.type is defined and deal.type == constant('App\\Manager\\CouponManager::TYPE_FREE_DELIVERY') %}
                            <div class="text-center mb-2 fw-bold text-danger"><span class="bi bi-truck me-2"></span>{{ 'deal.free_delivery'|trans|raw }}</div>
                        {% endif %}
                    </div>
                </div>
            </li>
        {% endfor %}
        {% if dealsOfTheDay|length == 0 %}
            <li class="list-group-item bg-light">{{ 'deal_list.no_deal'|trans|raw }}</li>
        {% endif %}
    </ul>
</div>
